<?php
defined('MPS_PATH') or die('Hacking attempt!');

/**
 * admin plugins menu link
 */
function mps_admin_plugin_menu_links($menu) 
{
  $menu[] = array(
    'NAME' => l10n('MyPiwiShop'),
    'URL' => MPS_ADMIN,
    );

  return $menu;
}


/**
 * add an action to the Batch Manager unit
*/

function mps_loc_end_element_set_unit()
{
  include_once(MPS_PATH.'admin/MyPiwiShopBatchUnit.php');
  
  global $template;
	$template->set_filename('mps_batch_unit', realpath(MPS_PATH.'admin/template/MyPiwiShopBatchUnit.tpl'));
	$template->assign_var_from_handle('MPS_BATCH_UNIT', 'mps_batch_unit');

	$template->set_prefilter('batch_manager_unit', 'batch_unit_form');
}

function batch_unit_form($content)
{

	$search = '#</table>(\s*)</fieldset>#s';
	$replace ='</table>$1<div class="MyPiwiShopBatchUnit" style="text-align:left">{combine_script id="batchmanagerunit" load="footer" path="'.MPS_PATH.'/admin/template/js/batchmanagerunit.js"}
	{include file="'.realpath(MPS_PATH).'/admin/template/MyPiwiShopBatchUnit.tpl" imgid=$element.id}</div>$1</fieldset>';

  return preg_replace($search, $replace, $content);
}

/**
 * add an action to the Batch Manager
 */

function mps_loc_end_element_set_global()
{
	 include_once(MPS_PATH.'admin/MyPiwiShopBatch.php');

	global $template;
	
	$template->set_filename('mps_batch_global', (MPS_PATH.'admin/template/MyPiwiShopBatch.tpl'));
  
	$template->append('element_set_global_plugins_actions', array(
    'ID' => 'mps', 
    'NAME' => l10n('MyPiwiShop'), 
    'CONTENT' => $template->parse('mps_batch_global', true)
    ));
}

/**
 * perform added action
*/ 
function mps_element_set_global_action($action, $collection)
{
	if ($action == 'mps')
	{
	global $page;
	
		if (empty($_POST['productcheck']))
		{
		$page['errors'][] = l10n('Select at least one product');
		}
		else if ($_POST['thisprod']=='del')
		{
		$product_id = $_POST['productcheck'];
		deletAll_product_image($product_id, $collection);
		$page['infos'][] = l10n('Products have been removed for these pictures');	
		}
		else
		{
		$product_id = $_POST['productcheck'];
		add_product_image($product_id, $collection);
		$page['infos'][] = l10n('products have been added to these images');	
		}
  } 
  
}

